> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_estimaterbforder.md).

# runes\_estimateRbfOrder

{% hint style="warning" %}
The `runes_estimateRbfOrder` method currently only supports **Etch** orders. Support for **Mint** orders will be added soon.&#x20;
{% endhint %}

You can use the `runes_estimateRbfOrder` method to estimate the cost of a speeding up a Rune mint or etch order for your user.

You can specify the order you wish to speed up, and the new fee rate to use for the mint/etch transactions, by passing an `EsimateRbfOrderParams` object to the method, with the below properties:

<table><thead><tr><th width="240">EsimateRbfOrderParams</th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>a string representing the id of your mint or etch order. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> the <a href="/sats-connect/bitcoin-methods/mint-runes/runes_mint.md"><code>runes_mint</code></a> &#x26; <a href="/sats-connect/bitcoin-methods/etch-runes.md"><code>runes_etch</code></a> methods will return the order id in their response objects.</td></tr><tr><td><code>network</code> <br>(<span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> optional)</td><td>a string representing the Bitcoin network to use for the mint runes transactions: <code>'Mainnet'</code> or <code>'Testnet'</code></td></tr><tr><td><code>newFeeRate</code></td><td><p>a number representing the new increased fee rate to set for the Rune mint transaction(s) or etch transaction, in sats per vbytes</p><p><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> <code>newFeeRate</code> must be higher than the <code>feeRate</code> used for the initial <a href="/sats-connect/bitcoin-methods/mint-runes/runes_mint.md">runes_mint</a> or <a href="/sats-connect/bitcoin-methods/etch-runes/runes_etch.md">runes_etch</a> order execution, and the increase must be at least equal to the minimum relay fee (the lowest fee that the network will accept). </p></td></tr></tbody></table>

<pre class="language-typescript"><code class="lang-typescript"><strong>import { request } from "sats-connect";
</strong>
    const response = await request('runes_runes_estimateRbfOrder', { 
      id: "ORDER_ID", 
      network?: "Mainnet",
      newFeeRate: 500 });

    if (response.status === 'success') {
      console.log(response.result.rbfAmount);
      console.log(response.result.fundingAddress);
    } else {
      console.error(response.error);
      alert('Error Fetching Estimate. See console for details.');
    }
</code></pre>

The `runes_estimateRbfOrder` method will **not** trigger any operation or prompt your user to sign any transaction. It will return an `EstimateRbfOrderResponse` object, intended for you and your user to anticipate the cost of speeding up the order:

<table><thead><tr><th width="296">EstimateRbfOrderResponse </th><th>Description</th></tr></thead><tbody><tr><td><code>rbfCost</code></td><td>a number representing the total cost of speeding up the order using RBF at the specified <code>newFeeRate</code> <br><br>This corresponds to the additional BTC amount required for Sats Connect to replace the stuck mint/etch transactions with new transactions broadcast at the higher fee rate. </td></tr><tr><td><code>fundingAddress</code></td><td>a string representing the BTC address which will collect the BTC amount required to speed up the order, and sign the replacement mint/etch transactions broadcast at the higher fee rate. <br><br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> The <a href="/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_rbforder.md">runes_rbfOrder</a> method will prompt your user to sign a transaction to send the required BTC amount to this funding address.</td></tr></tbody></table>

See the [runes\_rbfOrder](/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_rbforder.md) method if you wish to speed up your Rune mint or etch order, and prompt your user to sign the funding transaction required to process the order at an increased fee rate.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_estimaterbforder.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
